Release Notes
=======================================================
- Product: ArcSoft Message 5.0 for HTC
- Device: QVGA,VGA,320x320,480X800 HTC PPC devices 
- Version: 5.0.x.45 based on 5.0.x.43 version
- Language: En
- Date: 8.11.2008
- Company: ArcSoft Inc.
- Package: Installer/Rom Build

Registry changes in release 5.0.x.45 (20080811)
=========================================================
- None

Binary changes in release 5.0.x.45 (20080811)
=========================================================
- None

New features/feature updates in release 5.0.x.45 (20080811)
=========================================================
- Add Interface "SendMessageForMyFavesEx" to support MyFaves. Please refer to "MMS SDK.doc" under ".\MMS SDK".


Issue fixes in release 5.0.x.45 (20080811)
=========================================================
- None


Known Issues in release 5.0.x.45 (20080811)
=========================================================
1. When MMS is disabled, we do not create warning message on message list, because Microsoft will support this feature in future.
2. Refresh of favorite picker and my text picker screen are ugly when SIP is up
3. Refresh of attachment picker/select tempate/contact detail screen are ugly when SIP is up
4. It cannot open the received MMS while selecting "View" from new MMS prompt, itstead it opens the converstion.
5. When a MMS is closed, it goes to message list view, instead of conversion view.
6. The MMS with high/low priority cannot not be distinguished in conversion, since they has the same message icon as normal MMS
7. Sent failed MMS is still kept in conversion view.
8. When setting a photo as today screen's background, the background of start menu cannot be changed to use the photo which was set
9. At most time, the received voicemail message will not be put in conversation.
10. The Omni device cannot rotate screen, so landscape/portrait cannot be tested.
11. If first time to select to sort picture/video by name, it does not change sorting order from ascending to descending
12. Two same prompt of rights are given to user if user wants to play DRM CD/SD audio/video.
13. QCP audio and 3g2 cannot be played on Athena device(with 1.5 ROM), we also found they also cannot be played by WMP. 
14. Rights information prompt is not appeared when playing DRM CD/SD contents. However, when the rights of CD/SD is not available, it will prompt.
15. When start or end with ':' or '\',the email address can not be parsed in text part of MMS message.


=======================================================
- Product: ArcSoft Message 5.0 for HTC
- Device: QVGA,VGA,320x320,480X800 HTC PPC devices 
- Version: 5.0.x.43 based on 5.0.x.39 version
- Language: En
- Date: 8.1.2008
- Company: ArcSoft Inc.
- Package: Installer/Rom Build

Registry changes in release 5.0.x.43 (20080801)
=========================================================
- None

Binary changes in release 5.0.x.43 (20080801)
=========================================================
- None

New features/feature updates in release 5.0.x.43 (20080801)
=========================================================
- None


Issue fixes in release 5.0.x.43 (20080801)
=========================================================
- Some hopper issue
- Template flash issue when new a mms.


Known Issues in release 5.0.x.43 (20080801)
=========================================================
1. When MMS is disabled, we do not create warning message on message list, because Microsoft will support this feature in future.
2. Refresh of favorite picker and my text picker screen are ugly when SIP is up
3. Refresh of attachment picker/select tempate/contact detail screen are ugly when SIP is up
4. It cannot open the received MMS while selecting "View" from new MMS prompt, itstead it opens the converstion.
5. When a MMS is closed, it goes to message list view, instead of conversion view.
6. The MMS with high/low priority cannot not be distinguished in conversion, since they has the same message icon as normal MMS
7. Sent failed MMS is still kept in conversion view.
8. When setting a photo as today screen's background, the background of start menu cannot be changed to use the photo which was set
9. At most time, the received voicemail message will not be put in conversation.
10. The Omni device cannot rotate screen, so landscape/portrait cannot be tested.
11. If first time to select to sort picture/video by name, it does not change sorting order from ascending to descending
12. Two same prompt of rights are given to user if user wants to play DRM CD/SD audio/video.
13. QCP audio and 3g2 cannot be played on Athena device(with 1.5 ROM), we also found they also cannot be played by WMP. 
14. Rights information prompt is not appeared when playing DRM CD/SD contents. However, when the rights of CD/SD is not available, it will prompt.
15. When start or end with ':' or '\',the email address can not be parsed in text part of MMS message.



=======================================================
- Product: ArcSoft Message 5.0 for HTC
- Device: QVGA,VGA,320x320,480X800 HTC PPC devices 
- Version: 5.0.x.39 based on 5.0.x.35 version
- Language: En
- Date: 7.23.2008
- Company: ArcSoft Inc.
- Package: Installer/Rom Build

Registry changes in release 5.0.x.39 (20080723)
=========================================================
- None

Binary changes in release 5.0.x.39 (20080723)
=========================================================
- None

New features/feature updates in release 5.0.x.39 (20080723)
=========================================================
- Use registry key "InboxDispTimeType" under "HKEY_LOCAL_MACHINE\Software\Arcsoft\ArcSoft MMS UA\Config\UI" to contol if we show MMSC timestap or not in Message detail.


Issue fixes in release 5.0.x.39 (20080723)
=========================================================
- Some hopper issue
- In 640X480 device,in audio picker screen fold and unfold keyboard,the play bar will disappeared.



Known Issues in release 5.0.x.39 (20080723)
=========================================================
1. When MMS is disabled, we do not create warning message on message list, because Microsoft will support this feature in future.
2. Refresh of favorite picker and my text picker screen are ugly when SIP is up
3. Refresh of attachment picker/select tempate/contact detail screen are ugly when SIP is up
4. It cannot open the received MMS while selecting "View" from new MMS prompt, itstead it opens the converstion.
5. When a MMS is closed, it goes to message list view, instead of conversion view.
6. The MMS with high/low priority cannot not be distinguished in conversion, since they has the same message icon as normal MMS
7. Sent failed MMS is still kept in conversion view.
8. When setting a photo as today screen's background, the background of start menu cannot be changed to use the photo which was set
9. At most time, the received voicemail message will not be put in conversation.
10. The Omni device cannot rotate screen, so landscape/portrait cannot be tested.
11. If first time to select to sort picture/video by name, it does not change sorting order from ascending to descending
12. Two same prompt of rights are given to user if user wants to play DRM CD/SD audio/video.
13. QCP audio and 3g2 cannot be played on Athena device(with 1.5 ROM), we also found they also cannot be played by WMP. 
14. Rights information prompt is not appeared when playing DRM CD/SD contents. However, when the rights of CD/SD is not available, it will prompt.
15. When start or end with ':' or '\',the email address can not be parsed in text part of MMS message.




=======================================================
- Product: ArcSoft Message 5.0 for HTC
- Device: QVGA,VGA,320x320,480X800 HTC PPC devices 
- Version: 5.0.x.35 based on 5.0.x.32 version
- Language: En
- Date: 7.8.2008
- Company: ArcSoft Inc.
- Package: Installer/Rom Build

Registry changes in release 5.0.x.35 (20080708)
=========================================================
- None

Binary changes in release 5.0.x.35 (20080708)
=========================================================
- None

New features/feature updates in release 5.0.x.35 (20080708)
=========================================================
- None

Issue fixes in release 5.0.x.35 (20080708)
=========================================================
- Some hopper issue(e.g.Folder Select). 
- Improve Contacts Performance.
- Raphael 4768 in issue list(read receipt icons not indicating status)
- If a conversation includes a VoiceMail message, the conversation cannot be opened

Known Issues in release 5.0.x.35 (20080708)
=========================================================
1. When MMS is disabled, we do not create warning message on message list, because Microsoft will support this feature in future.
2. Refresh of favorite picker and my text picker screen are ugly when SIP is up
3. Refresh of attachment picker/select tempate/contact detail screen are ugly when SIP is up
4. It cannot open the received MMS while selecting "View" from new MMS prompt, itstead it opens the converstion.
5. When a MMS is closed, it goes to message list view, instead of conversion view.
6. The MMS with high/low priority cannot not be distinguished in conversion, since they has the same message icon as normal MMS
7. Sent failed MMS is still kept in conversion view.
8. When setting a photo as today screen's background, the background of start menu cannot be changed to use the photo which was set
9. At most time, the received voicemail message will not be put in conversation.
10. The Omni device cannot rotate screen, so landscape/portrait cannot be tested.
11. If first time to select to sort picture/video by name, it does not change sorting order from ascending to descending
12. Two same prompt of rights are given to user if user wants to play DRM CD/SD audio/video.
13. QCP audio and 3g2 cannot be played on Athena device(with 1.5 ROM), we also found they also cannot be played by WMP. 
14. Rights information prompt is not appeared when playing DRM CD/SD contents. However, when the rights of CD/SD is not available, it will prompt.
15. When start or end with ':' or '\',the email address can not be parsed in text part of MMS message.
16. In 640X480 device,in audio picker screen fold and unfold keyboard,the play bar will disappeared.




=======================================================
- Product: ArcSoft Message 5.0 for HTC
- Device: QVGA,VGA,320x320,480X800 HTC PPC devices 
- Version: 5.0.x.32 based on 5.0.x.25 version
- Language: En
- Date: 6.26.2008
- Company: ArcSoft Inc.
- Package: Installer/Rom Build

Registry changes in release 5.0.x.32 (20080626)
=========================================================
- None

Binary changes in release 5.0.x.32 (20080626)
=========================================================
- None

New features/feature updates in release 5.0.x.32 (20080626)
=========================================================
- None

Issue fixes in release 5.0.x.32 (20080626)
=========================================================
- Some hopper issue. 
- Can't input email address(such as email with "_" symbol) completely on recipient field on Diamond device.
- can't retrieve MMS while the deive is power off during the downloading.

Known Issues in release 5.0.x.32 (20080626)
=========================================================
1. When MMS is disabled, we do not create warning message on message list, because Microsoft will support this feature in future.
2. Refresh of favorite picker and my text picker screen are ugly when SIP is up
3. Refresh of attachment picker/select tempate/contact detail screen are ugly when SIP is up
4. It cannot open the received MMS while selecting "View" from new MMS prompt, itstead it opens the converstion.
5. When a MMS is closed, it goes to message list view, instead of conversion view.
6. The MMS with high/low priority cannot not be distinguished in conversion, since they has the same message icon as normal MMS
7. Sent failed MMS is still kept in conversion view.
8. When setting a photo as today screen's background, the background of start menu cannot be changed to use the photo which was set
9. If a conversation includes a VoiceMail message, the conversation cannot be opened
10. At most time, the received voicemail message will not be put in conversation.
11. The Omni device cannot rotate screen, so landscape/portrait cannot be tested.
12. If first time to select to sort picture/video by name, it does not change sorting order from ascending to descending
13. Two same prompt of rights are given to user if user wants to play DRM CD/SD audio/video.
14. QCP audio and 3g2 cannot be played on Athena device(with 1.5 ROM), we also found they also cannot be played by WMP. 
15. Rights information prompt is not appeared when playing DRM CD/SD contents. However, when the rights of CD/SD is not available, it will prompt.
16. When start or end with ':' or '\',the email address can not be parsed in text part of MMS message.
17. In 640X480 device,in audio picker screen fold and unfold keyboard,the play bar will disappeared.



=======================================================
- Product: ArcSoft Message 5.0 for HTC
- Device: QVGA,VGA,320x320,480X800 HTC PPC devices 
- Version: 5.0.x.25 based on 5.0.x.20 version
- Language: En
- Date: 5.16.2008
- Company: ArcSoft Inc.
- Package: Installer/Rom Build

Registry changes in release 5.0.x.25 (20080516)
=========================================================
- None

Binary changes in release 5.0.x.25 (20080516)
=========================================================
- None

New features/feature updates in release 5.0.x.25 (20080516)
=========================================================
- None

Issue fixes in release 5.0.x.25 (20080516)
=========================================================
- The sender of received MMS cannot be matched with contact's name, it show real phone number in both message list view and conversion.
- Fix some memory leakage issues detected by memory leak tool.

Known Issues in release 5.0.x.25 (20080516)
=========================================================
1. When MMS is disabled, we do not create warning message on message list, because Microsoft will support this feature in future.
2. Refresh of favorite picker and my text picker screen are ugly when SIP is up
3. Refresh of attachment picker/select tempate/contact detail screen are ugly when SIP is up
4. It cannot open the received MMS while selecting "View" from new MMS prompt, itstead it opens the converstion.
5. When a MMS is closed, it goes to message list view, instead of conversion view.
6. The MMS with high/low priority cannot not be distinguished in conversion, since they has the same message icon as normal MMS
7. Sent failed MMS is still kept in conversion view.
8. Delivery/read report is regarded as conversation, however it has not sender.
9. When setting a photo as today screen's background, the background of start menu cannot be changed to use the photo which was set
10. If a conversation includes a VoiceMail message, the conversation cannot be opened
11. At most time, the received voicemail message will not be put in conversation.
12. The Omni device cannot rotate screen, so landscape/portrait cannot be tested.
13. If first time to select to sort picture/video by name, it does not change sorting order from ascending to descending
14. Two same prompt of rights are given to user if user wants to play DRM CD/SD audio/video.
15. QCP audio and 3g2 cannot be played on Athena device(with 1.5 ROM), we also found they also cannot be played by WMP. 
16. The bottom of scroll bar in my text list in portrait mode is hidden. 
17. Rights information prompt is not appeared when playing DRM CD/SD contents. However, when the rights of CD/SD is not available, it will prompt.
18. When start or end with ':' or '\',the email address can not be parsed in text part of MMS message.
19.in 640X480 device,in audio picker screen fold and unfold keyboard,the play bar will disappeared.


=======================================================
- Product: ArcSoft Message 5.0 for HTC
- Device: QVGA,VGA,320x320,480X800 HTC PPC devices 
- Version: 5.0.x.20 based on 5.0.x.19 version
- Language: En
- Date: 5.7.2008
- Company: ArcSoft Inc.
- Package: Installer/Rom Build

Registry changes in release 5.0.x.20 (20080507)
=========================================================
- None

Binary changes in release 5.0.x.20 (20080507)
=========================================================
- None

New features/feature updates in release 5.0.x.20 (20080507)
=========================================================
- None

Issue fixes in release 5.0.x.20 (20080507)
=========================================================
- Judgement of some pointer validity in MMS composer
- Fix no scroll bar when Favarate list over a page(Diamond-6196_01.jpg).

Known Issues in release 5.0.x.20 (20080507)
=========================================================
1. When MMS is disabled, we do not create warning message on message list, because Microsoft will support this feature in future.
2. Refresh of favorite picker and my text picker screen are ugly when SIP is up
3. Refresh of attachment picker/select tempate/contact detail screen are ugly when SIP is up
4. It cannot open the received MMS while selecting "View" from new MMS prompt, itstead it opens the converstion.
5. When a MMS is closed, it goes to message list view, instead of conversion view.
6. The sender of received MMS cannot be matched with contact's name, it show real phone number in both message list view and conversion
7. The MMS with high/low priority cannot not be distinguished in conversion, since they has the same message icon as normal MMS
8. Sent failed MMS is still kept in conversion view.
9. Delivery/read report is regarded as conversation, however it has not sender.
10. When setting a photo as today screen's background, the background of start menu cannot be changed to use the photo which was set
11. If a conversation includes a VoiceMail message, the conversation cannot be opened
12. At most time, the received voicemail message will not be put in conversation.
13. The Omni device cannot rotate screen, so landscape/portrait cannot be tested.
14. If first time to select to sort picture/video by name, it does not change sorting order from ascending to descending
15. Two same prompt of rights are given to user if user wants to play DRM CD/SD audio/video.
16. QCP audio and 3g2 cannot be played on Athena device(with 1.5 ROM), we also found they also cannot be played by WMP. 
17. The bottom of scroll bar in my text list in portrait mode is hidden. 
18. Rights information prompt is not appeared when playing DRM CD/SD contents. However, when the rights of CD/SD is not available, it will prompt.
19. When start or end with ':' or '\',the email address can not be parsed in text part of MMS message.
20.in 640X480 device,in audio picker screen fold and unfold keyboard,the play bar will disappeared.

=======================================================
- Product: ArcSoft Message 5.0 for HTC
- Device: VGA,320x320 HTC PPC devices 
- Version: 5.0.x.19 based on 5.0.x.17 version
- Language: En
- Date: 4.30.2008
- Company: ArcSoft Inc.
- Package: Installer/Rom Build

Registry changes in release 5.0.x.19 (20080430)
=========================================================
[HKEY_LOCAL_MACHINE\Software\Arcsoft\ArcSoft MMS UA\Config\UI]
"DefaultResolution"=dword:00000005

Binary changes in release 5.0.x.19 (20080430)
=========================================================
- Add .\Rom Build\Bin\ArcMC.exe

New features/feature updates in release 5.0.x.19 (20080430)
=========================================================
- None

Issue fixes in release 5.0.x.19 (20080430)
=========================================================
- Fix hopper issue in MMS setting. 
- Fix hopper issue in MMS recipient input control.
- Fix hopper issue in MMS composer.

Known Issues in release 5.0.x.19 (20080430)
=========================================================
1. When MMS is disabled, we do not create warning message on message list, because Microsoft will support this feature in future.
2. Refresh of favorite picker and my text picker screen are ugly when SIP is up
3. Refresh of attachment picker/select tempate/contact detail screen are ugly when SIP is up
4. It cannot open the received MMS while selecting "View" from new MMS prompt, itstead it opens the converstion.
5. When a MMS is closed, it goes to message list view, instead of conversion view.
6. The sender of received MMS cannot be matched with contact's name, it show real phone number in both message list view and conversion
7. The MMS with high/low priority cannot not be distinguished in conversion, since they has the same message icon as normal MMS
8. Sent failed MMS is still kept in conversion view.
9. Delivery/read report is regarded as conversation, however it has not sender.
10. When setting a photo as today screen's background, the background of start menu cannot be changed to use the photo which was set
11. If a conversation includes a VoiceMail message, the conversation cannot be opened
12. At most time, the received voicemail message will not be put in conversation.
13. The Omni device cannot rotate screen, so landscape/portrait cannot be tested.
14. If first time to select to sort picture/video by name, it does not change sorting order from ascending to descending
15. Two same prompt of rights are given to user if user wants to play DRM CD/SD audio/video.
16. QCP audio and 3g2 cannot be played on Athena device(with 1.5 ROM), we also found they also cannot be played by WMP. 
17. The bottom of scroll bar in my text list in portrait mode is hidden. 
18. Rights information prompt is not appeared when playing DRM CD/SD contents. However, when the rights of CD/SD is not available, it will prompt.
19. When start or end with ':' or '\',the email address can not be parsed in text part of MMS message.



=======================================================
- Product: ArcSoft Message 5.0 for HTC
- Device: VGA,320x320 HTC PPC devices 
- Version: 5.0.x.17 based on MMS4.2 version
- Language: En
- Date: 4.25.2008
- Company: ArcSoft Inc.
- Package: Installer/Rom Build

Registry changes in release 5.0.x.17 (20080425)
=========================================================
-None

Binary changes in release 5.0.x.17 (20080425)
-None

New features/feature updates in release 5.0.x.17 (20080425)
=========================================================
-None

Issue fixes in release 5.0.x.17 (20080425)
=========================================================
- Fix a virtual memory hopper issue in MMS form. 
- Fix a hopper issue in MMS setting.
- Fix a hopper issue in MMS playback.

Known Issues in release 5.0.x.17 (20080425)
=========================================================
1. When MMS is disabled, we do not create warning message on message list, because Microsoft will support this feature in future.
2. Refresh of favorite picker and my text picker screen are ugly when SIP is up
3. Refresh of attachment picker/select tempate/contact detail screen are ugly when SIP is up
4. It cannot open the received MMS while selecting "View" from new MMS prompt, itstead it opens the converstion.
5. When a MMS is closed, it goes to message list view, instead of conversion view.
6. The sender of received MMS cannot be matched with contact's name, it show real phone number in both message list view and conversion
7. The MMS with high/low priority cannot not be distinguished in conversion, since they has the same message icon as normal MMS
8. Sent failed MMS is still kept in conversion view.
9. Delivery/read report is regarded as conversation, however it has not sender.
10. When setting a photo as today screen's background, the background of start menu cannot be changed to use the photo which was set
11. If a conversation includes a VoiceMail message, the conversation cannot be opened
12. At most time, the received voicemail message will not be put in conversation.
13. The Omni device cannot rotate screen, so landscape/portrait cannot be tested.
14. If first time to select to sort picture/video by name, it does not change sorting order from ascending to descending
15. Two same prompt of rights are given to user if user wants to play DRM CD/SD audio/video.
16. QCP audio and 3g2 cannot be played on Athena device(with 1.5 ROM), we also found they also cannot be played by WMP. 
17. The bottom of scroll bar in my text list in portrait mode is hidden. 
18. Rights information prompt is not appeared when playing DRM CD/SD contents. However, when the rights of CD/SD is not available, it will prompt.
19. When start or end with ':' or '\',the email address can not be parsed in text part of MMS message.

=======================================================
- Product: ArcSoft Message 5.0 for HTC
- Device: VGA,320x320 HTC PPC devices 
- Version: 5.0.x.16 based on MMS4.2 version
- Language: En
- Date: 4.16.2008
- Company: ArcSoft Inc.
- Package: Installer/Rom Build

Registry changes in release 5.0.x.16 (20080416)
=========================================================
-None

Binary changes in release 5.0.x.16 (20080416)
-None

New features/feature updates in release 5.0.x.16 (20080416)
=========================================================
-None

Issue fixes in release 5.0.x.16 (20080416)
=========================================================
- fix some hopper issues.

Known Issues in release 5.0.x.16 (20080416)
=========================================================
1. When MMS is disabled, we do not create warning message on message list, because Microsoft will support this feature in future.
2. Refresh of favorite picker and my text picker screen are ugly when SIP is up
3. Refresh of attachment picker/select tempate/contact detail screen are ugly when SIP is up
4. It cannot open the received MMS while selecting "View" from new MMS prompt, itstead it opens the converstion.
5. When a MMS is closed, it goes to message list view, instead of conversion view.
6. The sender of received MMS cannot be matched with contact's name, it show real phone number in both message list view and conversion
7. The MMS with high/low priority cannot not be distinguished in conversion, since they has the same message icon as normal MMS
8. Sent failed MMS is still kept in conversion view.
9. Delivery/read report is regarded as conversation, however it has not sender.
10. When setting a photo as today screen's background, the background of start menu cannot be changed to use the photo which was set
11. If a conversation includes a VoiceMail message, the conversation cannot be opened
12. At most time, the received voicemail message will not be put in conversation.
13. The Omni device cannot rotate screen, so landscape/portrait cannot be tested.
14. If first time to select to sort picture/video by name, it does not change sorting order from ascending to descending
15. Two same prompt of rights are given to user if user wants to play DRM CD/SD audio/video.
16. QCP audio and 3g2 cannot be played on Athena device(with 1.5 ROM), we also found they also cannot be played by WMP. 
17. The bottom of scroll bar in my text list in portrait mode is hidden. 
18. Rights information prompt is not appeared when playing DRM CD/SD contents. However, when the rights of CD/SD is not available, it will prompt.
19. When start or end with ':' or '\',the email address can not be parsed in text part of MMS message.

Release Notes
=======================================================
- Product: ArcSoft Message 5.0 for HTC
- Device: VGA,320x320 HTC PPC devices 
- Version: 5.0.x.13 based on MMS4.2 version
- Language: En
- Date: 3.31.2008
- Company: ArcSoft Inc.
- Package: Installer/Rom Build

Registry changes in release 5.0.x.13 (20080331)
=========================================================
- Modify following registries:
[HKEY_LOCAL_MACHINE\Software\Arcsoft\ArcSoft MMS UA\Config\UI]
"DefaultResolution"=dword:00000005

Binary changes in release 5.0.x.13 (20080331)
=========================================================
- Update .\RegisterDoc\Registry for MMS Composer.xls

New features/feature updates in release 5.0.x.13 (20080331)
=========================================================
- Add XGA support for image resolution option.

Issue fixes in release 5.0.x.13 (20080331)
=========================================================
- Modify Email/Phone number parsing logic
- Fix the bug that QVGA is lost in MMS Options menu
- Fix the bug that handy inputted phone number/email will be deleted all when press back button behind the last number/byte

Known Issues in release 5.0.x.13 (20080331)
=========================================================
1. When MMS is disabled, we do not create warning message on message list, because Microsoft will support this feature in future.
2. Refresh of favorite picker and my text picker screen are ugly when SIP is up
3. Refresh of attachment picker/select tempate/contact detail screen are ugly when SIP is up
4. It cannot open the received MMS while selecting "View" from new MMS prompt, itstead it opens the converstion.
5. When a MMS is closed, it goes to message list view, instead of conversion view.
6. The sender of received MMS cannot be matched with contact's name, it show real phone number in both message list view and conversion
7. The MMS with high/low priority cannot not be distinguished in conversion, since they has the same message icon as normal MMS
8. Sent failed MMS is still kept in conversion view.
9. Delivery/read report is regarded as conversation, however it has not sender.
10. When setting a photo as today screen's background, the background of start menu cannot be changed to use the photo which was set
11. If a conversation includes a VoiceMail message, the conversation cannot be opened
12. At most time, the received voicemail message will not be put in conversation.
13. The Omni device cannot rotate screen, so landscape/portrait cannot be tested.
14. If first time to select to sort picture/video by name, it does not change sorting order from ascending to descending
15. Two same prompt of rights are given to user if user wants to play DRM CD/SD audio/video.
16. QCP audio and 3g2 cannot be played on Athena device(with 1.5 ROM), we also found they also cannot be played by WMP. 
17. The bottom of scroll bar in my text list in portrait mode is hidden. 
18. Rights information prompt is not appeared when playing DRM CD/SD contents. However, when the rights of CD/SD is not available, it will prompt.
19. When start or end with ':' or '\',the email address can not be parsed in text part of MMS message.

=======================================================
- Product: ArcSoft Message 5.0 for HTC
- Device: VGA,320x320 HTC PPC devices 
- Version: 5.0.x.11 based on MMS4.2 version
- Language: En
- Date: 3.13.2008
- Company: ArcSoft Inc.
- Package: Installer/Rom Build

Registry changes in release 5.0.x.11 (20080313)
=========================================================
- Add following registries:
[HKEY_LOCAL_MACHINE\Software\Microsoft\Inbox\Svc\SMS\MsgClasses]
"IPM.MMS.DR"=dword:00000001
"IPM.MMS.RR"=dword:00000001
"IPM.MMS.NT"=dword:00000001

[HKEY_CURRENT_USER\Software\Microsoft\Inbox\MsgTypes\IPM\MMS\DR]
"GlyphInfo"=hex:\
  20,00,00,00,64,00,00,00,64,00,00,00,00,00,00,00,01,00,00,00,02,00,00,00,03,\
  00,00,00,04,00
"DLL"="MMSTransport.dll"
"GlyphDll"="MMSRes_XXXxXXX.dll" (XXXxXXX is the target device's resolution.)

[HKEY_CURRENT_USER\Software\Microsoft\Inbox\MsgTypes\IPM\MMS\RR]
"GlyphInfo"=hex:\
  20,00,00,00,64,00,00,00,64,00,00,00,00,00,00,00,01,00,00,00,02,00,00,00,03,\
  00,00,00,04,00
"DLL"="MMSTransport.dll"
"GlyphDll"="MMSRes_XXXxXXX.dll" (XXXxXXX is the target device's resolution.)

[HKEY_CURRENT_USER\Software\Microsoft\Inbox\MsgTypes\IPM\MMS\NT]
"GlyphInfo"=hex:\
  20,00,00,00,64,00,00,00,64,00,00,00,00,00,00,00,01,00,00,00,02,00,00,00,03,\
  00,00,00,04,00
"DLL"="MMSTransport.dll"
"GlyphDll"="MMSRes_XXXxXXX.dll" (XXXxXXX is the target device's resolution.)

Binary changes in release 5.0.x.11 (20080313)
=========================================================
- Update .\RegisterDoc\Registry for MMS Composer.xls

New features/feature updates in release 5.0.x.11 (20080313)
=========================================================
- None.

Issue fixes in release 5.0.x.11 (20080313)
=========================================================
- Device N4 text layout issue.
- When deleting delivery report from conversation, it will happen error report.
- The maximum characters in an email address/phone number is changed to 200. 
- MMSC detail input issue.
- Diamond left landscape launch issue.

Known Issues in release 5.0.x.11 (20080313)
=========================================================
1. When MMS is disabled, we do not create warning message on message list, because Microsoft will support this feature in future.
2. Refresh of favorite picker and my text picker screen are ugly when SIP is up
3. Refresh of attachment picker/select tempate/contact detail screen are ugly when SIP is up
4. It cannot open the received MMS while selecting "View" from new MMS prompt, itstead it opens the converstion.
5. When a MMS is closed, it goes to message list view, instead of conversion view.
6. The sender of received MMS cannot be matched with contact's name, it show real phone number in both message list view and conversion
7. The MMS with high/low priority cannot not be distinguished in conversion, since they has the same message icon as normal MMS
8. Sent failed MMS is still kept in conversion view.
9. Delivery/read report is regarded as conversation, however it has not sender.
10. When setting a photo as today screen's background, the background of start menu cannot be changed to use the photo which was set
11. If a conversation includes a VoiceMail message, the conversation cannot be opened
12. At most time, the received voicemail message will not be put in conversation.
13. The Omni device cannot rotate screen, so landscape/portrait cannot be tested.
14. If first time to select to sort picture/video by name, it does not change sorting order from ascending to descending
15. Two same prompt of rights are given to user if user wants to play DRM CD/SD audio/video.
16. QCP audio and 3g2 cannot be played on Athena device(with 1.5 ROM), we also found they also cannot be played by WMP. 
17. The bottom of scroll bar in my text list in portrait mode is hidden. 
18. Rights information prompt is not appeared when playing DRM CD/SD contents. However, when the rights of CD/SD is not available, it will prompt.

=======================================================
- Product: ArcSoft Message 5.0 for HTC
- Device: VGA,320x320 HTC PPC devices 
- Version: 5.0.x.10 based on MMS4.2 version
- Language: En
- Date: 2.29.2008
- Company: ArcSoft Inc.
- Package: Installer/Rom Build

Registry changes in release 5.0.x.10 (20080229)
=========================================================
- None.

Binary changes in release 5.0.x.10 (20080229)
=========================================================
- Update .\RegisterDoc\Registry for MMS Composer.xls

New features/feature updates in release 5.0.x.10 (20080229)
=========================================================
- Support cannot edit/delete for a MMSC setting.
  Add key "Configurable" under "HKEY_LOCAL_MACHINE\SOFTWARE\Arcsoft\ArcSoft MMS UA\Config\mm1\MMSCSetting\SampleMMSC" and set it's value as 0x00000000. The "SampleMMSC" will cannot be edited/deleted.

Issue fixes in release 5.0.x.10 (20080229)
=========================================================
- The string behind ":" symbol cannot be parsed as part of a URL.

Known Issues in release 5.0.x.10 (20080229)
=========================================================
1. When MMS is disabled, we do not create warning message on message list, because Microsoft will support this feature in future.
2. Refresh of favorite picker and my text picker screen are ugly when SIP is up
3. Refresh of attachment picker/select tempate/contact detail screen are ugly when SIP is up
4. It cannot open the received MMS while selecting "View" from new MMS prompt, itstead it opens the converstion.
5. When a MMS is closed, it goes to message list view, instead of conversion view.
6. The sender of received MMS cannot be matched with contact's name, it show real phone number in both message list view and conversion
7. The MMS with high/low priority cannot not be distinguished in conversion, since they has the same message icon as normal MMS
8. Sent failed MMS is still kept in conversion view.
9. Delivery/read report is regarded as conversation, however it has not sender.
10. When setting a photo as today screen's background, the background of start menu cannot be changed to use the photo which was set
11. If a conversation includes a VoiceMail message, the conversation cannot be opened
12. At most time, the received voicemail message will not be put in conversation.
13. The Omni device cannot rotate screen, so landscape/portrait cannot be tested
14. If first time to select to sort picture/video by name, it does not change sorting order from ascending to descending
15. Two same prompt of rights are given to user if user wants to play DRM CD/SD audio/video.
16. QCP audio and 3g2 cannot be played on Athena device(with 1.5 ROM), we also found they also cannot be played by WMP. 
17. The bottom of scroll bar in my text list in portrait mode is hidden. 
18. Rights information prompt is not appeared when playing DRM CD/SD contents. However, when the rights of CD/SD is not available, it will prompt.

=======================================================
- Product: ArcSoft Message 5.0 for HTC
- Device: VGA,320x320 HTC PPC devices 
- Version: 5.0.x.9 based on MMS4.2 version
- Language: En
- Date: 2.22.2008
- Company: ArcSoft Inc.
- Package: Installer/Rom Build

Registry changes in release 5.0.x.9 (20080222)
=========================================================
- None

Binary changes in release 5.0.x.9 (20080222)
=========================================================

New features/feature updates in release 5.0.x.9 (20080222)
=========================================================
- None. 

Issue fixes in release 5.0.x.9 (20080222)
=========================================================
1. Fix a hopper issue that data abort happens when Up/Down key is pressed during MMS playback without text.
2. Fix a MP3 playback issue. Because the MP3 issue does not happen on Omni and Athena device before, we cannot verify it, we just has verified on SP version(SP version is used same code with PPC version).   

Known Issues in release 5.0.x.9 (20080222)
=========================================================
1. When MMS is disabled, we do not create warning message on message list, because Microsoft will support this feature in future.
2. Refresh of favorite picker and my text picker screen are ugly when SIP is up
3. Refresh of attachment picker/select tempate/contact detail screen are ugly when SIP is up
4. It cannot open the received MMS while selecting "View" from new MMS prompt, itstead it opens the converstion.
5. When a MMS is closed, it goes to message list view, instead of conversion view.
6. The sender of received MMS cannot be matched with contact's name, it show real phone number in both message list view and conversion
7. The MMS with high/low priority cannot not be distinguished in conversion, since they has the same message icon as normal MMS
8. Sent failed MMS is still kept in conversion view.
9. Delivery/read report is regarded as conversation, however it has not sender.
10. When setting a photo as today screen's background, the background of start menu cannot be changed to use the photo which was set
11. If a conversation includes a VoiceMail message, the conversation cannot be opened
12. At most time, the received voicemail message will not be put in conversation.
13. The Omni device cannot rotate screen, so landscape/portrait cannot be tested
14. If first time to select to sort picture/video by name, it does not change sorting order from ascending to descending
15. Two same prompt of rights are given to user if user wants to play DRM CD/SD audio/video.
16. QCP audio and 3g2 cannot be played on Athena device(with 1.5 ROM), we also found they also cannot be played by WMP. 
17. The bottom of scroll bar in my text list in portrait mode is hidden. 
18. Rights information prompt is not appeared when playing DRM CD/SD contents. However, when the rights of CD/SD is not available, it will prompt. 

=======================================================
- Product: ArcSoft Message 5.0 for HTC
- Device: WVGA,320x320 HTC PPC devices 
- Version: 5.0.x.7 based on MMS4.2 version
- Language: En
- Date: 1.28.2008
- Company: ArcSoft Inc.
- Package: Installer/Rom Build

Registry changes in release 5.0.x.7 (20070128)
=========================================================
- None

Binary changes in release 5.0.x.7 (20070128)
=========================================================
- Add following file for 320x320 device support:
.\Rom Build\Bin\MMSRes_320x320.dll
.\Rom Build\Config_320x320.reg
all files under .\Rom Build\Emoticon\Emoticon_320x320

New features/feature updates in release 5.0.x.7 (20070128)
=========================================================
- 320x320 device support. 
Issue fixes in release 5.0.x.7 (20070128)
=========================================================
1. There is blank block under record bar on voicmail composer screen in portrait mode
2. Timestamp flash violently on video playback bar when playing a video.
3. When setting a photo as today screen's background, the background of start menu cannot be changed to use the photo which was set
4. Refresh of photo/video and audio in media picker are very heavy while sorting them. 
5. SMS/MMS count number becomes wrong while deleting conversation from Inbox. 
6. MMS and VoiceMail count become wrong while clearing "SMS\MMS". 

Known Issues in release 5.0.x.7 (20070128)
=========================================================
1. When MMS is disabled, we do not create warning message on message list, because Microsoft will support this feature in future.
2. Refresh of favorite picker and my text picker screen are ugly when SIP is up
3. Refresh of attachment picker/select tempate/contact detail screen are ugly when SIP is up
4. It cannot open the received MMS while selecting "View" from new MMS prompt, itstead it opens the converstion.
5. When a MMS is closed, it goes to message list view, instead of conversion view.
6. The sender of received MMS cannot be matched with contact's name, it show real phone number in both message list view and conversion
7. The MMS with high/low priority cannot not be distinguished in conversion, since they has the same message icon as normal MMS
8. Sent failed MMS is still kept in conversion view.
9. Delivery/read report is regarded as conversation, however it has not sender.
10. When setting a photo as today screen's background, the background of start menu cannot be changed to use the photo which was set
11. If a conversation includes a VoiceMail message, the conversation cannot be opened
12. At most time, the received voicemail message will not be put in conversation.
13. The Omni device cannot rotate screen, so landscape/portrait cannot be tested
14. If first time to select to sort picture/video by name, it does not change sorting order from ascending to descending
15. Two same prompt of rights are given to user if user wants to play DRM CD/SD audio/video.
16. Since 320x320 device(N4) does not support sending&receiving, we are unable to test sending&receiving functions on the deivce
17. QCP audio and 3g2 cannot be played on Athena device(with 1.5 ROM), we also found they also cannot be played by WMP. 

=======================================================
- Product: ArcSoft Message 5.0 for HTC
- Device: WVGA HTC PPC devices 
- Version: 5.0.27.5(WVGA only) based on MMS4.2 version
- Language: En
- Date: 1.2.2008
- Company: ArcSoft Inc.
- Package: Installer/Rom Build

Registry changes in release 5.0.27.5(WVGA only) (20070102)
=========================================================
- Add following registries: 
[HKEY_LOCAL_MACHINE\Software\Arcsoft\ArcSoft MMS UA\Config\UI]
"MaxVMRecipients"=dword:00000001
"PlayVoiceMailWithSpeaker"=dword:00000001

[HKEY_CLASSES_ROOT\CLSID\{09A7C4C8-8283-4747-9401-8EAFC744C975}]
@="Compose SoftKey Menu Extension"

[HKEY_CLASSES_ROOT\CLSID\{09A7C4C8-8283-4747-9401-8EAFC744C975}\InprocServer32]
@="\\Windows\\PoomIntegration.dll"

[HKEY_LOCAL_MACHINE\Software\Microsoft\Shell\Extensions\ContextMenus\Inbox\Compose_IPM.SMStext\{09A7C4C8-8283-4747-9401-8EAFC744C975}]
@="Compose SoftKey Menu Extension"

[HKEY_LOCAL_MACHINE\System\Inbox\Templates\IPM\MMS]
"Thread"="\\Windows\\thread_sms.htm"

Binary changes in release 5.0.27.5(WVGA only) (20070102)
=========================================================
- Add following file for voicemail application support:
.\Rom Build\VoiceMail\voicemail.exe

New features/feature updates in release 5.0.27.5(WVGA only) (20070102)
=========================================================
- Thread SMS support
- Support the sorting function in Media Object view
- Save delivery report as a status of the sent messages
- If an image/video/audio is inserted, grayed out "Select a Template" in this case. Keep "Save as template" as is. Make this configurable
- Add a menu "View Text" for Text display in preview. The end user could tap the menu and open another page to read the whole text
- All record file of voicemail message will be named as voicemsg_xxxx.amr
- For "To" filed, we provide an option for HTC to limit the number of voicemail's recipients.
- Provide new application for list voicemail, we provide a registry key for get voicemail count:
  [HKEY_CURRENT_USER\System\State\Messages\Voicemail\Unread]
  "Count"=dword:00000000

Issue fixes in release 5.0.27.5(WVGA only) (20070102)
=========================================================
1. Application freezes when recording audio or after recording audio on Omni deivce(WVGA resolution)
2. Cannot receive MMS on Omni device(WVGA resolution).
3. There is redundant scroll bar in send options when SIP is up
4. SIP is brought up when editing my text in landscape mode, there is a redundant line displayed. 
5. Show all items in send options in landscape mode, the last item is hidden and no scroll bar appeared.
6. In save as new contact screen, SIP cannot be brought up
7. When MMS module is disabled, MMS notification still can be received.

Known Issues in release 5.0.27.5(WVGA only) (20070102)
=========================================================
1. When MMS is disabled, we do not create warning message on message list, because Microsoft will support this feature in future.
2. There is blank block under record bar on voicmail composer screen in portrait mode
3. Refresh of favorite picker and my text picker screen are ugly when SIP is up
4. Refresh of attachment picker/select tempate/contact detail screen are ugly when SIP is up
5. Timestamp flash violently on video playback bar when playing a video.
6. It cannot open the received MMS while selecting "View" from new MMS prompt, itstead it opens the converstion.
7. When a MMS is closed, it goes to message list view, instead of conversion view.
8. The sender of received MMS cannot be matched with contact's name, it show real phone number in both message list view and conversion
9. The MMS with high/low priority cannot not be distinguished in conversion, since they has the same message icon as normal MMS
10. Sent failed MMS is still kept in conversion view.
11. Delivery/read report is regarded as conversation, however it has not sender.
12. When setting a photo as today screen's background, the background of start menu cannot be changed to use the photo which was set
13. If a conversation includes a VoiceMail message, the conversation cannot be opened
14. At most time, the received voicemail message will not be put in conversation.
15. The Omni device cannot rotate screen, so landscape/portrait cannot be tested
16. Refresh of photo/video and audio in media picker are very heavy while sorting them. 
17. If first time to select to sort picture/video by name, it does not change sorting order from ascending to descending
18. SMS/MMS count number becomes wrong while deleting conversation from Inbox. 
19. MMS and VoiceMail count become wrong while clearing "SMS\MMS". 
20. Two same prompt of rights are given to user if user wants to play it.


=======================================================
- Product: ArcSoft Message 5.0 for HTC
- Device: WVGA HTC PPC devices 
- Version: 5.0.27.2(WVGA only) based on MMS4.2 version
- Language: En
- Date: 11.30.2007
- Company: ArcSoft Inc.
- Package: Installer/Rom Build

Registry changes in release 5.0.27.2(WVGA only) (20071130)
=========================================================
- Modify following registries: 
[HKEY_CLASSES_ROOT\CLSID\{44F87379-793C-41b2-B07E-1421B9F10D3E}\InProcServer32]
@="PoomIntegration.dll"
[HKEY_CLASSES_ROOT\CLSID\{76E471C7-C815-4b3c-B66F-97F2E4F03C75}\InProcServer32]
@="PoomIntegration.dll"

- Remove following registries: 
[HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Shell\Extensions\ContextMenus\Inbox\main\{10170FBA-AAC2-4d68-A4BB-B25EAE403DA6}]
@="MMS Setting"
[HKEY_CLASSES_ROOT\CLSID\{10170FBA-AAC2-4d68-A4BB-B25EAE403DA6}]
@="MMS Settings"
[HKEY_CLASSES_ROOT\CLSID\{10170FBA-AAC2-4d68-A4BB-B25EAE403DA6}\InProcServer32]
@="SettingDll.dll"

Binary changes in release 5.0.27.2(WVGA only) (20071130)
=========================================================
- Add following file for WVGA support:
.\Rom Build\Bin\MMSRes_480x800.dll
.\Rom Build\Config_480x800.reg
all files under .\Rom Build\Emoticon\Emoticon_480x800

New features/feature updates in release 5.0.27.2(WVGA only) (20071130)
=========================================================
- LTK requirement: Applications Must Handle the Input Panel Appearing/Disappearing(PPC)
We have modify following screen:
Add favorite dialog
Add emoticon dialog
Set as today screen dialog
File property dialog
Select my text dialog
Select call history dialog
Select template dialog
Attach file Picker
Text layout screen
Message detail screen
Contact detail screen
Save as new contact screen
Add to favorite dialog
Text object Viewer

- Support new "Device Management" feature
Disable any function about camera when system camera is disabled
Disable any function about SMS when SMS is disabled
Disable send/receive function when MMS is disabled(include MMS SDK)
When MMS is disabled,close current compose dialog, save message, and prompt warning dialog.
When MMS is disabled, user cannot create MMS.
When MMS is disabled, user cannot use MMS setting.

Known Issues in release 5.0.27.2(WVGA only) (20071130)
=========================================================
1. Application freezes when recording audio or after recording audio on Omni deivce(WVGA resolution). But it does not happen on Kaiser and Nike device.
2. Cannot receive MMS on Omni device(WVGA resolution).
3. When MMS is disabled, we do not create warning message on message list, because Microsoft will support this feature in future.
4. There is blank block under record bar on voicmail composer screen in portrait mode and SIP is not supported in this screen too
5. Refresh of favorite picker and my text picker screen are ugly when SIP is up
6. Refresh of attachment picker/select tempate/contact detail screen are ugly when SIP is up
7. There is redundant scroll bar in send options when SIP is up
8. SIP is brought up when editing my text in landscape mode, there is a redundant line displayed. 
9. Show all items in send options in landscape mode, the last item is hidden and no scroll bar appeared.
10. In save as new contact screen, SIP cannot be brought up
11. When MMS module is disabled, MMS notification still can be received. 
12. Timestamp flash violently on video playback bar when playing a video.